name: Nix Build

on: 
  pull_request:
  push:
  workflow_run:
    workflows: []
    types: [completed]
  workflow_dispatch:

jobs:
  build-nixos:
    runs-on: ubuntu-latest
    steps: 
      - uses: actions/checkout@v6
      
      - name: "Install Nix ❄️"
        uses: cachix/install-nix-action@v31

    #  - uses: DeterminateSystems/nix-installer-action@v4
      - uses: DeterminateSystems/magic-nix-cache-action@v13
      - uses: DeterminateSystems/flake-checker-action@v12

      - name: "Install Cachix ❄️"
        uses: cachix/cachix-action@v17
        with:
          name: helcel
          authToken: "${{ secrets.CACHIX_AUTH_TOKEN }}"
          

      - name: "Build NixOS CI config ❄️"
        run: |
          nix build .#nixosConfigurations.ci.config.system.build.toplevel

      - name: "Build NixOS Sandbox config ❄️"
        run: |
          nix build .#nixosConfigurations.sandbox.config.system.build.toplevel
          